﻿using Infragistics.Collections;

namespace VCExploratory
{
    public class ChildLevelData : VirtualCollection<TestData>
    {
        public ChildLevelData()
        {
            this.ItemDataRequested += ChildLevelData_ItemDataRequested;

            this.LoadSize = 15;
            this.AnticipatedCount = MockDataService.ChildDataCount;
        }

        void ChildLevelData_ItemDataRequested(object sender, ItemDataRequestedEventArgs e)
        {
            var data = MockDataService.GetChildData(e.StartIndex, e.ItemsCount);

            this.LoadItems(e.StartIndex, data);
        }
    }
}
