﻿using Infragistics.Collections;

namespace VCExploratory
{
    public class RootLevelData : VirtualCollection<TestData>
    {
        public RootLevelData()
        {
            this.ItemDataRequested += RootLevelData_ItemDataRequested;

            this.LoadSize = 15;
            this.AnticipatedCount = MockDataService.RootDataCount;
        }

        void RootLevelData_ItemDataRequested(object sender, ItemDataRequestedEventArgs e)
        {
            var data = MockDataService.GetRootData(e.StartIndex, e.ItemsCount);

            this.LoadItems(e.StartIndex, data);
        }
    }
}
